Bug 1218454 (CVE-2015-6526) - CVE-2015-6526 kernel: perf on ppc64 can loop forever getting userlevel stacktraces
Summary: CVE-2015-6526 kernel: perf on ppc64 can loop forever getting userlevel stackt...
Status: CLOSED ERRATA
Alias: CVE-2015-6526
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150413,repor...
Keywords: Security
Depends On: 1213950 1253892
Blocks: 1218457
TreeView+ depends on / blocked
 
Reported: 2015-05-05 00:29 UTC by Fabio Olive Leite
Modified: 2017-08-10 05:54 UTC (History)
35 users (show)

(edit)
A flaw was found in the way the Linux kernel's perf subsystem retrieved userlevel stack traces on PowerPC systems. A local, unprivileged user could use this flaw to cause a denial of service on the system by creating a special stack layout that would force the perf_callchain_user_64() function into an infinite loop.
Clone Of:
(edit)
Last Closed: 2017-08-10 05:54:09 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Fabio Olive Leite 2015-05-05 00:29:25 UTC
A malicious user could create a special stack layout that fools
the perf_callchain_user_64 function into an infinite loop, tying up
that particular CPU and the process can not be killed.

A kernel patch was committed upstream capping the maximum userlevel
stacktrace collected by perf to PERF_MAX_STACK_DEPTH on 64bit powerpc
architectures. This affects all ppc64 kernels that support perf.

This seems to be kind of local DOS that can be resolved when the system is
rebooted.

References:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9a5cbce421a283e6aea3c4007f141735bf9da8c3

CVE assignment:
http://seclists.org/oss-sec/2015/q3/410

Comment 2 Wade Mealing 2015-08-15 04:46:21 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 7  and may be addressed in a future update.

Comment 3 Wade Mealing 2015-08-15 06:08:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1253892]

Comment 4 Adam Mariš 2015-08-21 13:40:47 UTC
CVE assignment:

http://seclists.org/oss-sec/2015/q3/410

Comment 6 errata-xmlrpc 2015-11-19 22:14:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 7 errata-xmlrpc 2015-11-19 23:25:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.